<template>
    <!-- 头部 -->
    <templateHead v-if="skinId <= 4"></templateHead>
    <!-- 皮肤5头部 -->
    <templateHead5 v-if="skinId == 5"></templateHead5>
    <!-- 菜单 -->
    <templateMenu v-if="skinId <= 4"></templateMenu>
    <!-- 皮肤5菜单 -->
    <templateMenu5 v-if="skinId == 5"></templateMenu5>
    <!-- 内容 -->
    <div v-for="(item,index) in templateData" :key="index">
        <!--1.广告通栏-->
        <div v-if="item.sectorName=='adSector'">
            <templateAd :skinId="skinId" :adData="adData" :adTag="item.ad.ad_tag"></templateAd>
        </div>
        <!--2.底部菜单-列表-->
        <div v-if="item.sectorName=='aboutListSector'">
            <templateAboutList :skinId="skinId" :templateData="item.componentList"></templateAboutList>
        </div>
    </div>
    <!-- 底部 -->
    <templateFoot v-if="skinId <= 4"></templateFoot>
    <!-- 皮肤5底部 -->
    <templateFoot1 v-if="skinId == 5"></templateFoot1>
</template>

<script setup lang="ts">
//0.加载全局模板组件 start---------------------------------------->
//0.1 全局通栏
import templateHead from '@/components/template/sector/head/1200x200/1.vue'
import templateHead5 from '@/components/template/sector/head/1200x250/1.vue'
import templateMenu from '@/components/template/sector/menu/1200x130/1.vue'
import templateMenu5 from '@/components/template/sector/menu/1200x187/1.vue'
import templateFoot from '@/components/template/sector/foot/1200x580/1.vue'
import templateFoot1 from '@/components/template/sector/foot/1200x680/1.vue'
//0.2 局部通栏
//0.2.1 广告组件
import templateAd from '@/components/template/sector/body/ad/1200x90/1.vue'
//0.2.2 底部详情-列表
import templateAboutList from '@/components/template/sector/body/about/1200x1290/1.vue'
//0.加载全局模板组件 end---------------------------------------->

//1.获得基本信息单元 start---------------------------------------->
//1.1获得页面依赖
import { ref, onMounted } from 'vue';

//1.2获得pinia源
import { useTemplateBaseStore } from '@/stores/templateBase'
const templateBaseStore:any = useTemplateBaseStore()
//1.3获得该页的皮肤id - 在每个组件中也是同样的获得方法
const skinId = ref<number>(0)
const websiteId = ref<number>(0)
//1.4获得站点基本信息
const responseStatus = await requestDataPromise('/web/getWebsiteAllinfo', {
    method: 'GET',
    query: {
        'link_textnum':24,
        'link_imgnum':18,
        'link_footnum':4
    },
});
if (responseStatus.code == 200) {
    if(responseStatus.data.website_foot.foot_info.status == 1){
        //网站模板已停用，直接转入404页面
        navigateTo('/error?findPage=index')
    }else{
        //0.3.1设置站点基本信息
        templateBaseStore.setWebSiteInfo(responseStatus.data)
        websiteId.value = responseStatus.data.website_head.id;//获得网站id
        //0.3.2设置皮肤id
        skinId.value = templateBaseStore.webSiteInfo.website_foot.foot_info.template_id;
        console.log("当前的网站id:"+responseStatus.data.website_head.id)
        //0.3.3设置seo信息
        let seoTitle = templateBaseStore.webSiteInfo.website_head.title;
        let seoDescription = templateBaseStore.webSiteInfo.website_head.description;
        let seoKeywords = templateBaseStore.webSiteInfo.website_head.keywords;
        let seoSuffix = templateBaseStore.webSiteInfo.website_head.suffix;
        let seoName = templateBaseStore.webSiteInfo.website_head.website_name;
        useHead({
            title: seoTitle + "_" + seoSuffix,
            meta: [
                { name: 'keywords', content: seoKeywords + "_" + seoName + "_" + seoSuffix, tagPriority: 10 },
                { name: 'description', content: seoDescription + "_" + seoName + "_" + seoSuffix, tagPriority: 10 }
            ]
        });
    }
}
//1.获得基本信息单元 end---------------------------------------->

//2.页面数据 start---------------------------------------->
//2.1获得页面数据
const response = await requestDataPromise('/client/indexData', {
    method: 'POST',
    body: {
        'website_id':websiteId.value,
        'getpage':'aloneList'
    },
});
//页面数据
const templateData = response.data.template.aloneList;
console.log(templateData)
//广告数据
const adData = ref<any[]>([]);
adData.value.push(response.data.ad.top)
for(let item of response.data.ad.aloneList){
    adData.value.push(item)
}
templateBaseStore.setAdList(adData.value)
//2.页面数据 end---------------------------------------->
</script>

<style lang="less" scoped>
//@import '@/assets/css/about.less';
</style>